@echo off & title lzclient服务启动器

echo %~dp0

sc query "lzclient64" > NUL
if not ERRORLEVEL 1 ( 
   echo lzclient64服务存在,即将重启服务
   goto RESTART
) else (
   echo lzclient64服务不存在,即将安装服务
   goto INSTALL
)

:INSTALL
REM 安装lzclient64服务
set panda=%~dp0
sc create lzclient64 displayname= "lzclient64" binpath= "%panda%lzclient64.exe" start= auto
echo lzclient64服务安装成功

:RESTART
REM 重启lzclient64服务
net stop lzclient64
net start lzclient64
echo lzclient64服务重启成功
exit


